aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTed Gould <ted@gould.cx>2010-02-02 13:16:42 -0800
committerTed Gould <ted@gould.cx>2010-02-02 13:16:42 -0800
commit6afee918e61effc297495027bf324e49e3d6c031 (patch)
treeb629589813b0aeb6ed2af713b9a199d93445b148
parent103f8b0b79cfaf3e90e4ea01987485155b450d03 (diff)
parent527674dd6a94f1e9b0a558d6ac1a86593a8e787e (diff)
downloadlibayatana-indicator-6afee918e61effc297495027bf324e49e3d6c031.tar.gz
libayatana-indicator-6afee918e61effc297495027bf324e49e3d6c031.tar.bz2
libayatana-indicator-6afee918e61effc297495027bf324e49e3d6c031.zip
Fixes to the test suite.
-rw-r--r--tests/Makefile.am6
-rw-r--r--tests/run-xvfb.sh8
-rw-r--r--tests/service-shutdown-timeout.c2
3 files changed, 14 insertions, 2 deletions
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 7fcccb6..b111655 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -10,6 +10,9 @@ lib_LTLIBRARIES = \
libdummy-indicator-simple.la
DBUS_RUNNER=dbus-test-runner --dbus-config /usr/share/dbus-test-runner/session.conf
+XVFB_RUN=". $(srcdir)/run-xvfb.sh"
+
+EXTRA_DIST = run-xvfb.sh
#############################
# Test Loader
@@ -297,7 +300,8 @@ XML_REPORT = loader-check-results.xml
HTML_REPORT = loader-check-results.html
loader-tester: test-loader libdummy-indicator-null.la libdummy-indicator-simple.la Makefile
- @echo "#!/bin/sh" > loader-tester
+ @echo "#!/bin/bash" > loader-tester
+ @echo $(XVFB_RUN) >> $@
@echo gtester -k --verbose -o=$(XML_REPORT) ./test-loader >> loader-tester
@chmod +x loader-tester
diff --git a/tests/run-xvfb.sh b/tests/run-xvfb.sh
new file mode 100644
index 0000000..63b6f0d
--- /dev/null
+++ b/tests/run-xvfb.sh
@@ -0,0 +1,8 @@
+if [ "$DISPLAY" == "" ]; then
+Xvfb -ac -noreset -screen 0 800x600x16 -help 2>/dev/null 1>&2
+XID=`for id in 101 102 103 104 105 106 107 197 199 211 223 227 293 307 308 309 310 311 491 492 493 494 495 496 497 498 499 500 501 502 503 504 505 506 507 508 509 991 992 993 994 995 996 997 998 999 1000 1001 1002 1003 1004 1005 1006 1007 1008 1009 4703 4721 4723 4729 4733 4751 9973 9974 9975 9976 9977 9978 9979 9980 9981 9982 9983 9984 9985 9986 9987 9988 9989 9990 9991 9992 9993 9994 9995 9996 9997 9998 9999 ; do test -e /tmp/.X$id-lock || { echo $id; exit 0; }; done; exit 1`
+{ Xvfb -ac -noreset -screen 0 800x600x16 :$XID -screen 0 800x600x16 -nolisten tcp -auth /dev/null >/dev/null 2>&1 & trap "kill -15 $! " 0 HUP INT QUIT TRAP USR1 PIPE TERM ; } || { echo "Gtk+Tests:ERROR: Failed to start Xvfb environment for X11 target tests."; exit 1; }
+DISPLAY=:$XID
+export DISPLAY
+echo Setting display: $DISPLAY
+fi
diff --git a/tests/service-shutdown-timeout.c b/tests/service-shutdown-timeout.c
index 666739a..820441c 100644
--- a/tests/service-shutdown-timeout.c
+++ b/tests/service-shutdown-timeout.c
@@ -31,7 +31,7 @@ main (int argc, char ** argv)
IndicatorService * is = indicator_service_new("my.test.name");
g_signal_connect(G_OBJECT(is), INDICATOR_SERVICE_SIGNAL_SHUTDOWN, shutdown, NULL);
- g_timeout_add_seconds(1, timeout, NULL);
+ g_timeout_add_seconds(2, timeout, NULL);
mainloop = g_main_loop_new(NULL, FALSE);
g_main_loop_run(mainloop);